Bug 868619 - 3.3 [VDSM] - Bad Error handling in "vdsClient -s 0 spmStart" (Unexpected exception )
3.3 [VDSM] - Bad Error handling in "vdsClient -s 0 spmStart" (Unexpected exc...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Linux
unspecified Severity low
: rc
: 6.5
Assigned To: Amador Pahim
Haim
storage, infra
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 05:06 EDT by David Botzer
Modified: 2014-01-13 19:04 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 03:23:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-10-21 05:06:37 EDT
Description of problem:
Running the command "vdsClient -s 0 spmStart"  gets incorrect error message -> (Unexpected exception )

Version-Release number of selected component (if applicable):
3.1/si21

How reproducible:
always

Steps to Reproduce:
1.install rhevm
2.add VDS
3.run command "vdsClient -s 0 spmStart" on the VDS
  
Actual results:
Gets incorrect error message - "Unexpected exception"

Expected results:
spmStart function take at least 6 arguments that you need to provide

Additional info:
Comment 1 Amador Pahim 2012-10-22 13:22:39 EDT
Got same issue here. Proposed patch:
http://gerrit.ovirt.org/8731

Note You need to log in before you can comment on or make changes to this bug.